> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a project build

> Build selected project sizes or rebuild one snapshot.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public post /v1/projects/{projectId}/builds
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/projects/{projectId}/builds:
    post:
      tags:
        - Projects
      summary: Create a project build
      description: Build selected project sizes or rebuild one snapshot.
      operationId: createProjectBuild
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
            minLength: 1
            maxLength: 255
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sizes:
                  type: array
                  items:
                    type: string
                    enum:
                      - nano
                      - micro
                      - medium
                      - large
                      - xl
                      - xxl
                      - ultra
                  minItems: 1
                snapshotId:
                  type: string
                  minLength: 1
                  maxLength: 255
              additionalProperties: false
      responses:
        '201':
          description: Create a project build
          content:
            application/json:
              schema:
                type: object
                properties:
                  jobIds:
                    type: array
                    items:
                      type: string
                      minLength: 1
                      maxLength: 255
                    minItems: 1
                required:
                  - jobIds
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Project resource not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Project resource conflict
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Project operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````